Download it now!
Bug 64761 - [FILEOPEN] opening particular docx file will result in an assertion failure in SwIndexReg
Summary: [FILEOPEN] opening particular docx file will result in an assertion failure i...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha1
Hardware: All All
: high major
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.2.0 target:4.1.0.0.beta2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-19 14:27 UTC by Jorendc
Modified: 2013-06-04 13:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (60.15 KB, text/plain)
2013-05-19 14:28 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jorendc 2013-05-19 14:27:52 UTC
While retesting bug 57052 I had to download and open attachment 51255. This result in a crash using Linux Mint 15 x64 with LibreOffice Version: 4.1.0.0.alpha1+ Build ID: 38109d24ab5261959b316b7dacc99521858f074

NO crash reproducible using LibreOffice 4.0.3.3.

How to reproduce:
* Download Attachment 51255
* Open it (file > Open) or whatever way)

Result: Crash

Terminal output:
warn:legacy.osl:12084:1:oox/source/docprop/docprophandler.cxx:320: For now unexpected tags are ignored!
warn:legacy.osl:12084:1:oox/source/docprop/docprophandler.cxx:320: For now unexpected tags are ignored!
warn:legacy.osl:12084:1:oox/source/docprop/docprophandler.cxx:320: For now unexpected tags are ignored!
warn:legacy.osl:12084:1:oox/source/docprop/docprophandler.cxx:320: For now unexpected tags are ignored!
warn:legacy.osl:12084:1:oox/source/docprop/docprophandler.cxx:320: For now unexpected tags are ignored!
warn:writerfilter:12084:1:writerfilter/source/dmapper/OLEHandler.cxx:114: Exception in OLE Handler: position cannot be determined with this method
warn:sw.uno:12084:1:sw/source/core/unocore/unotext.cxx:2290: Exception when setting property: IsWidthRelative. Message: relative width cannot be switched on with this property
soffice.bin: /home/joren/core/sw/source/core/bastyp/index.cxx:227: virtual SwIndexReg::~SwIndexReg(): Assertion `!m_pFirst && !m_pLast' failed.

I'll attach backtrace log
Comment 1 Jorendc 2013-05-19 14:28:28 UTC
Created attachment 79524 [details]
backtrace
Comment 2 Jorendc 2013-05-19 17:07:08 UTC
Additional information: build is from 2013-05-19 13:01:05 (GMT)
Comment 3 Joel Madero 2013-05-19 17:08:10 UTC
Works fine with build from:
Date:   Wed May 8 18:48:38 2013 +0200

So, must be a patch in the last 11 days. Joren said his build is:

Date: 2013-05-19 13:01:05 (GMT)

I will try to build today and verify the crash but with BT it seems like it's good just to put in NEW so doing so.
Comment 4 Joel Madero 2013-05-19 17:10:06 UTC
More info of my specs:
Version: 4.1.0.0.alpha1+Build ID: ed8f9ec2caa8485691999e5565a79e451e1dcb
Date:   Wed May 8 18:48:38 2013 +0200 
Platform: Bodhi Linux 2.2 x64
Comment 5 Joel Madero 2013-05-20 04:34:55 UTC
hm again opened fine with a build from today. So - as someone said in the IRC chat - maybe debug needs to be enabled? I thought mine was but perhaps not. 

Joren - we're talking about opening the patch file in writer yes?
Comment 6 Arnaud Versini 2013-05-20 17:43:19 UTC
Someone is me :-) Assert are not enabled on production build, so crash can't happen (on this line, this can crash after, I don't know) without debug.
Comment 7 Michael Stahl (CIB) 2013-06-04 13:34:39 UTC
the link in description is wrong, the right attachment is apparently this one:

https://bugs.freedesktop.org/attachment.cgi?id=51225

fixed it on master
Comment 8 Commit Notification 2013-06-04 13:40:01 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0e86210bc480de38919aacf709513f95fab26d35

fdo#64761: sw: avoid another ~SwIndexReg assert



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2013-06-04 13:48:05 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=27f64bb866037c0321966bdb0c96cac92db2a208&h=libreoffice-4-1

fdo#64761: sw: avoid another ~SwIndexReg assert


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.